# Uses of Class
org.xml.sax.InputSource

Packages that use InputSource
Package
Description
java.beans
Contains classes related to developing beans -- components based on the JavaBeans architecture.
javax.xml.catalog
Provides the classes for implementing XML Catalogs OASIS Standard V1.1, 7 October 2005.
javax.xml.parsers
Provides the classes for processing XML documents with a SAX (Simple API for XML) parser or a DOM (Document Object Model) Document builder.
javax.xml.transform.sax
Provides SAX specific transformation classes.
javax.xml.xpath
Provides an object-model neutral API for the evaluation of XPath expressions and access to the evaluation environment.
org.xml.sax
Provides the interfaces for the Simple API for XML (SAX).
org.xml.sax.ext
Provides interfaces to SAX2 facilities that conformant SAX drivers won't necessarily support.
org.xml.sax.helpers
Provides helper classes, including support for bootstrapping SAX-based applications.

## Uses of InputSource in java.beans

Constructors in java.beans with parameters of type InputSource
Modifier
Constructor
Description
``
`XMLDecoder(InputSource is)`
Creates a new decoder to parse XML archives created by the `XMLEncoder` class.

## Uses of InputSource in javax.xml.catalog

Methods in javax.xml.catalog that return InputSource
Modifier and Type
Method
Description
`InputSource`
CatalogResolver.`resolveEntity(String publicId, String systemId)`
Implements `EntityResolver`.

## Uses of InputSource in javax.xml.parsers

Methods in javax.xml.parsers with parameters of type InputSource
Modifier and Type
Method
Description
`abstract Document`
DocumentBuilder.`parse(InputSource is)`
Parse the content of the given input source as an XML document and return a new DOM `Document` object.
`void`
SAXParser.`parse(InputSource is, HandlerBase hb)`
Parse the content given `InputSource` as XML using the specified `HandlerBase`.
`void`
SAXParser.`parse(InputSource is, DefaultHandler dh)`
Parse the content given `InputSource` as XML using the specified `DefaultHandler`.

## Uses of InputSource in javax.xml.transform.sax

Methods in javax.xml.transform.sax that return InputSource
Modifier and Type
Method
Description
`InputSource`
SAXSource.`getInputSource()`
Get the SAX InputSource to be used for the Source.
`static InputSource`
SAXSource.`sourceToInputSource(Source source)`
Attempt to obtain a SAX InputSource object from a Source object.
Methods in javax.xml.transform.sax with parameters of type InputSource
Modifier and Type
Method
Description
`void`
SAXSource.`setInputSource(InputSource inputSource)`
Set the SAX InputSource to be used for the Source.
Constructors in javax.xml.transform.sax with parameters of type InputSource
Modifier
Constructor
Description
``
`SAXSource(InputSource inputSource)`
Create a `SAXSource`, using a SAX `InputSource`.
``
`SAXSource(XMLReader reader, InputSource inputSource)`
Create a `SAXSource`, using an `XMLReader` and a SAX InputSource.

## Uses of InputSource in javax.xml.xpath

Methods in javax.xml.xpath with parameters of type InputSource
Modifier and Type
Method
Description
`String`
XPath.`evaluate(String expression, InputSource source)`
Evaluate an XPath expression in the context of the specified `InputSource` and return the result as a `String`.
`Object`
XPath.`evaluate(String expression, InputSource source, QName returnType)`
Evaluate an XPath expression in the context of the specified `InputSource` and return the result as the specified type.
`String`
XPathExpression.`evaluate(InputSource source)`
Evaluate the compiled XPath expression in the context of the specified `InputSource` and return the result as a `String`.
`Object`
XPathExpression.`evaluate(InputSource source, QName returnType)`
Evaluate the compiled XPath expression in the context of the specified `InputSource` and return the result as the specified type.
`default XPathEvaluationResult<?>`
XPath.`evaluateExpression(String expression, InputSource source)`
Evaluate an XPath expression in the specified context.
`default <T> T`
XPath.`evaluateExpression(String expression, InputSource source, Class<T> type)`
Evaluate an XPath expression in the context of the specified `source` and return the result as specified.
`default XPathEvaluationResult<?>`
XPathExpression.`evaluateExpression(InputSource source)`
Evaluate the compiled XPath expression in the specified context.
`default <T> T`
XPathExpression.`evaluateExpression(InputSource source, Class<T> type)`
Evaluate the compiled XPath expression in the specified context, and return the result with the type specified through the `class type`

## Uses of InputSource in org.xml.sax

Methods in org.xml.sax that return InputSource
Modifier and Type
Method
Description
`InputSource`
EntityResolver.`resolveEntity(String publicId, String systemId)`
Allow the application to resolve external entities.
`InputSource`
HandlerBase.`resolveEntity(String publicId, String systemId)`
Deprecated.
Resolve an external entity.
Methods in org.xml.sax with parameters of type InputSource
Modifier and Type
Method
Description
`void`
Parser.`parse(InputSource source)`
Deprecated.
Parse an XML document.
`void`
XMLReader.`parse(InputSource input)`
Parse an XML document.

## Uses of InputSource in org.xml.sax.ext

Methods in org.xml.sax.ext that return InputSource
Modifier and Type
Method
Description
`InputSource`
DefaultHandler2.`getExternalSubset(String name, String baseURI)`
Tells the parser that if no external subset has been declared in the document text, none should be used.
`InputSource`
EntityResolver2.`getExternalSubset(String name, String baseURI)`
Allows applications to provide an external subset for documents that don't explicitly define one.
`InputSource`
DefaultHandler2.`resolveEntity(String publicId, String systemId)`
Invokes `EntityResolver2.resolveEntity()` with null entity name and base URI.
`InputSource`
DefaultHandler2.`resolveEntity(String name, String publicId, String baseURI, String systemId)`
Tells the parser to resolve the systemId against the baseURI and read the entity text from that resulting absolute URI.
`InputSource`
EntityResolver2.`resolveEntity(String name, String publicId, String baseURI, String systemId)`
Allows applications to map references to external entities into input sources, or tell the parser it should use conventional URI resolution.

## Uses of InputSource in org.xml.sax.helpers

Methods in org.xml.sax.helpers that return InputSource
Modifier and Type
Method
Description
`InputSource`
DefaultHandler.`resolveEntity(String publicId, String systemId)`
Resolve an external entity.
`InputSource`
XMLFilterImpl.`resolveEntity(String publicId, String systemId)`
Filter an external entity resolution.
Methods in org.xml.sax.helpers with parameters of type InputSource
Modifier and Type
Method
Description
`void`
ParserAdapter.`parse(InputSource input)`
Parse an XML document.
`void`
XMLFilterImpl.`parse(InputSource input)`
Parse a document.
`void`
XMLReaderAdapter.`parse(InputSource input)`
Parse the document.